# Jet Menu

JetMenu is a plugin that assists you in creating and styling up mega menu. You’ll be able to create content for the menu items and customize items appearance, add menu badges and icons, change menu item background - all this with JetMenu plugin, which is easy-to-use and has intuitive and clear interface.

With JetMenu you can style menu items using different fonts and all colors of the world. There are multiple settings to set the menu item shadows, customization options for Active and Hover mode, etc.

The plugin works in tandem with Elementor live page builder, allowing to add content to menu items in a drag-and-drop way. The content and style settings share the same treats with Elementor and JetElements. You’ll also get Custom Menu module for Elementor, which allows you to add your menu to any page layout section you want.

# ChangeLog

## 2.0.5 - 20.07.2020
* Added: Sub items dropdown layout for mobile view
* Added: Close After link navigation option for mobile menu
* Added: item attr compatibility for mobile menu items
* Added: keyboard compatibility for mobile menu instance
* Updated: Mobile view toggle button loader
* Fixed: minor JS/PHP issue

## 2.0.4 - 24.04.2020
* Added: Menu item icon svg option
* Fixed: minor JS/PHP issue

## 2.0.3 - 13.04.2020
* Updated: Ajax get menu item request. 12 hour transit cache has been added
* Fixed: minor JS/PHP issue

## 2.0.2 - 06.04.2020
* Added: Show Sub Menu Trigger option for mobile menu, now you can choose, which element could be a sub item trigger, menu item or submenu icon
* Added: Toggle position option for mobile menu(slide-out layout), now you can choose toggle global position on window screen( default, fixed-left, fixed-right )
* Added: Mobile menu items padding option to elementor widgets
* Added: Mobile menu elementor templates style options to elementor widgets
* Added: Mobile menu items state style options to widgets
* Fixed: minor JS/PHP issue

## 2.0.1 - 03.04.2020
* Added: Header template to mobile menu
* Added: Device view option for mobile menu
* Added: Show/Hide toggle option for mobile menu
* Fixed: Elementor css compatibility
* Fixed: minor JS/PHP issue

## 2.0.0 - 30.03.2020
* Added: Mobile-first. With 2.0 version, you can set up the mobile menu independently of the desktop one. All the styles and layout of the mobile menu can be easily adjusted
* Added: Mobile menu layouts. We’ve prepared three main layouts - slide out, dropdown, and push
* Added: Different menus for desktop and mobile. Specify the WordPress menu IDs to be used for desktop and mobile
* Added: Hamburger Menu widget. The purpose of this widget is to display the menu on both desktop and mobile in a toggle view
* Added: Custom content before/after the menu items. Add any Elementor-built content, such as social items, subscribe forms, or call-to-action buttons right from the JetMenu widgets
* Added: Breadcrumbs in the mobile menu. We’ve added breadcrumbs for comfier navigation
* Added: Use AJAX loading. This option allows you to upload the mega menu content with AJAX
* Added: User-friendly interface. So far, the JetMenu settings can be found in the JetPlugins Dashboard. As to the Preset Manager, it is now shown in the form of a popup
* Updated: Clean code and FontAwesome 5. We’ve refactored the code and updated the FontAwesome to the latest version
* Fixed: minor js/php issues

## 1.5.15 - 10.12.2019
* Added: an active class for ancestor items
* Added: compatibility with the elementor popup trigger URL
* Added: possibility to change the background color (hover/active) of the last/first items in the Mega Menu Widget
* Added: possibility to change the background color (hover/active) of the last/first items in the Vertical Mega Menu Widget

## 1.5.14 - 18.07.2019
* Fixed: minor js issues

## 1.5.13 - 15.07.2019
* Added: need helps links to widgets
* Fixed: minor CSS issue

## 1.5.12 - 08.07.2019
* Updated: sub items open trigger

## 1.5.11 - 13.05.2019
* Added: more compatibility with third-party plugins

## 1.5.10 - 03.05.2019
* Fixed: border-radius for last menu item

## 1.5.9 - 24.04.2019
* Added: `stretch` option to `Menu items alignment` control
* Added: better RTL compatibility

## 1.5.8.1
* Fixed: mega menu width in mobile mode

## 1.5.8
* Fixed: mega menu width

## 1.5.7
* Added: better compatibility on tablet devices

## 1.5.6
* Added: custom mega menu settings in the Menu Item Settings Popup

## 1.5.5
* UPD: cherry-framework v1.5.11
* FIX: scroll in mobile menu

## 1.5.4
* ADD: RU localization
* ADD: integration with Epic News Elements plugin

## 1.5.3
* ADD: option `Vertical mega menu position` relative menu item or menu container
* ADD: minor bug fixes

## 1.5.2
* ADD: style controls for `Active State` menu item in the Vertical Mega Menu Widget
* ADD: compatibility with Phlox and Phlox Pro themes

## 1.5.1
* ADD: closing the mobile menu when clicking outside the mobile menu area
* FIX: prevent displaying submenu outside the window
* FIX: prevent duplicate sub-menu and mega-menu when the section is sticky
* FIX: applying cached css on https sites
* FIX: minor CSS fixes

## 1.5.0
* ADD: allow to cache menu CSS
* FIX: minor CSS fixes

## 1.4.4
* ADD: compatibility with Header Footer Elementor plugin
* UPD: cherry-framework v1.5.10

## 1.4.3
* ADD: multiple improvements and bug fixes

## 1.4.2
* FIX: showing sub-menu and sub-mega-menu when loading a page

## 1.4.1

* ADD: Mobile breakpoint option
* ADD: multiple performance improvements and bug fixes

## 1.4.0

* ADD: the ability to display mega-menu content in the Custom Menu Widget
* UPD: changed Custom Menu Widget name to Vertical Mega Menu
* ADD: style controls for the Mega Menu Widget
* ADD: Show Submenu Item Description option
* ADD: multiple performance improvements and bug fixes

## 1.3.6

* ADD: Mobile layout close panel event

## 1.3.5

* ADD: Sub items open event option
* UPD: Better Avada compatibility

## 1.3.4

* UPD: better Astra compatibility
* FIX: prevent error with 3-rd party optimization plugins
* FIX: Polylang compatibility

## 1.3.3

* UPD: better compatibility with Betheme
* FIX: Elementor 2.0.0 + JetElements compatibility
* FIX: plugin updater

## 1.3.1.1

* Updated: Minified main front-end CSS
* Fixed: Prevent custom user classes from adding 'jet-' prefixes

## 1.3.1

* Updated: Elementor content processing inside mega menu items

## 1.3.0.3

* Fixed: Custom selector mega container mobile width

## 1.3.0.1

* Updated main content min-width default value;

## 1.3.0

* Added main content min-width css style option;
* Added presets functionality;

## 1.2.0

* Added Mega Menu module;
* Added minor bug fixes.

## 1.1.1

* Added compatibility with the most popular WordPress themes:
	1. Avada;
	2. BeTheme;
	3. Enfold;
	4. OceanWP;
	5. Zerif;
	6. Hestia;
	7. GeneratePress;
	8. Astra;
	9. Storefront.
* Added compatibility with The Events Calendar plugin;
* Added minor bug fixes.

## 1.1.0
* Added Export/Import options;
* Added Dummy Data files.
