/*
 * jQuery Bootstrap Pagination v1.4.2
 * https://github.com/josecebe/twbs-pagination
 *
 * Copyright 2014-2018, Eugene Simakin <john-24@list.ru>
 * Released under Apache-2.0 license
 * http://apache.org/licenses/LICENSE-2.0.html
 *
 * This plugin is modified to remove next/prev pagination markup when they are disabled.
 * This plugin should not be updated until applying changes to new version.
 */

!function(t,e,i,s){"use strict";var a=t.fn.twbsPagination,n=function(e,i){if(this.$element=t(e),this.options=t.extend({},t.fn.twbsPagination.defaults,i),this.options.startPage<1||this.options.startPage>this.options.totalPages)throw new Error("Start page option is incorrect");if(this.options.totalPages=parseInt(this.options.totalPages),isNaN(this.options.totalPages))throw new Error("Total pages option is not correct!");if(this.options.visiblePages=parseInt(this.options.visiblePages),isNaN(this.options.visiblePages))throw new Error("Visible pages option is not correct!");if(this.options.beforePageClick instanceof Function&&this.$element.first().on("beforePage",this.options.beforePageClick),this.options.onPageClick instanceof Function&&this.$element.first().on("page",this.options.onPageClick),this.options.hideOnlyOnePage&&1==this.options.totalPages)return this.options.initiateStartPageClick&&this.$element.trigger("page",1),this;if(this.options.href&&(this.options.startPage=this.getPageFromQueryString(),this.options.startPage||(this.options.startPage=1)),"UL"===("function"==typeof this.$element.prop?this.$element.prop("tagName"):this.$element.attr("tagName")))this.$listContainer=this.$element;else{var s=this.$element,a=t([]);s.each(function(e){var i=t("<ul></ul>");t(this).append(i),a.push(i[0])}),this.$listContainer=a,this.$element=a}return this.$listContainer.addClass(this.options.paginationClass),this.options.initiateStartPageClick?this.show(this.options.startPage):(this.currentPage=this.options.startPage,this.render(this.getPages(this.options.startPage)),this.setupEvents()),this};n.prototype={constructor:n,destroy:function(){return this.$element.empty(),this.$element.removeData("twbs-pagination"),this.$element.off("page"),this},show:function(t){if(t<1||t>this.options.totalPages)throw new Error("Page is incorrect.");this.currentPage=t,this.$element.trigger("beforePage",t);var e=this.getPages(t);return this.render(e),this.setupEvents(),this.$element.trigger("page",t),e},enable:function(){this.show(this.currentPage)},disable:function(){var e=this;this.$listContainer.off("click").on("click","li",function(t){t.preventDefault()}),this.$listContainer.children().each(function(){t(this).hasClass(e.options.activeClass)||t(this).addClass(e.options.disabledClass)})},buildListItems:function(t){var e=[];if(this.options.first&&e.push(this.buildItem("first",1)),this.options.prev){var i=t.currentPage>1?t.currentPage-1:this.options.loop?this.options.totalPages:1;e.push(this.buildItem("prev",i))}for(var s=0;s<t.numeric.length;s++)e.push(this.buildItem("page",t.numeric[s]));if(this.options.next){var a=t.currentPage<this.options.totalPages?t.currentPage+1:this.options.loop?1:this.options.totalPages;e.push(this.buildItem("next",a))}return this.options.last&&e.push(this.buildItem("last",this.options.totalPages)),e},buildItem:function(e,i){var s=t("<li></li>"),a=t("<a></a>"),n=this.options[e]?this.makeText(this.options[e],i):i;return s.addClass(this.options[e+"Class"]),s.data("page",i),s.data("page-type",e),s.append(a.attr("href",this.makeHref(i)).addClass(this.options.anchorClass).html(n)),s},getPages:function(t){var e=[],i=Math.floor(this.options.visiblePages/2),s=t-i+1-this.options.visiblePages%2,a=t+i,n=this.options.visiblePages;n>this.options.totalPages&&(n=this.options.totalPages),s<=0&&(s=1,a=n),a>this.options.totalPages&&(s=this.options.totalPages-n+1,a=this.options.totalPages);for(var o=s;o<=a;)e.push(o),o++;return{currentPage:t,numeric:e}},render:function(e){var i=this;this.$listContainer.children().remove();var s=this.buildListItems(e);t.each(s,function(t,e){i.$listContainer.append(e)}),this.$listContainer.children().each(function(){var s=t(this);switch(s.data("page-type")){case"page":s.data("page")===e.currentPage&&s.addClass(i.options.activeClass);break;case"first":s.toggleClass(i.options.disabledClass,1===e.currentPage);break;case"last":s.toggleClass(i.options.disabledClass,e.currentPage===i.options.totalPages);break;case"prev":i.options.loop||1!==e.currentPage||s.remove();break;case"next":i.options.loop||e.currentPage!==i.options.totalPages||s.remove()}})},setupEvents:function(){var e=this;this.$listContainer.off("click").on("click","li",function(i){var s=t(this);if(s.hasClass(e.options.disabledClass)||s.hasClass(e.options.activeClass))return!1;!e.options.href&&i.preventDefault(),e.show(parseInt(s.data("page")))})},changeTotalPages:function(t,e){return this.options.totalPages=t,this.show(e)},makeHref:function(t){return this.options.href?this.generateQueryString(t):"#"},makeText:function(t,e){return t.replace(this.options.pageVariable,e).replace(this.options.totalPagesVariable,this.options.totalPages)},getPageFromQueryString:function(t){var e=this.getSearchString(t),i=new RegExp(this.options.pageVariable+"(=([^&#]*)|&|#|$)").exec(e);return i&&i[2]?(i=decodeURIComponent(i[2]),i=parseInt(i),isNaN(i)?null:i):null},generateQueryString:function(t,e){var i=this.getSearchString(e),s=new RegExp(this.options.pageVariable+"=*[^&#]*");return i?"?"+i.replace(s,this.options.pageVariable+"="+t):""},getSearchString:function(t){var i=t||e.location.search;return""===i?null:(0===i.indexOf("?")&&(i=i.substr(1)),i)},getCurrentPage:function(){return this.currentPage},getTotalPages:function(){return this.options.totalPages}},t.fn.twbsPagination=function(e){var i,s=Array.prototype.slice.call(arguments,1),a=t(this),o=a.data("twbs-pagination"),r="object"==typeof e?e:{};return o||a.data("twbs-pagination",o=new n(this,r)),"string"==typeof e&&(i=o[e].apply(o,s)),void 0===i?a:i},t.fn.twbsPagination.defaults={totalPages:1,startPage:1,visiblePages:5,initiateStartPageClick:!0,hideOnlyOnePage:!1,href:!1,pageVariable:"{{page}}",totalPagesVariable:"{{total_pages}}",page:null,first:"First",prev:"Previous",next:"Next",last:"Last",loop:!1,beforePageClick:null,onPageClick:null,paginationClass:"pagination",nextClass:"page-item next",prevClass:"page-item prev",lastClass:"page-item last",firstClass:"page-item first",pageClass:"page-item",activeClass:"active",disabledClass:"disabled",anchorClass:"page-link"},t.fn.twbsPagination.Constructor=n,t.fn.twbsPagination.noConflict=function(){return t.fn.twbsPagination=a,this},t.fn.twbsPagination.version="1.4.2"}(window.jQuery,window,document);
